# snowflake.core.compute-pool.-generated
The Snowflake Compute Pools API is a REST API that you can use to access, update, and perform certain actions on Compute Pool resources.

The `snowflake.core.compute_pool._generated` package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.0.1
- Package version: 1.0.0
- Build package: com.snowflake.generator.pyapi.PyapiCodegenGenerator
For more information, please visit [https://snowflake.com](https://snowflake.com)

## Requirements.

Python 3.7+

## Installation & Usage

This python library package is generated without supporting files like setup.py or requirements files

To be able to use it, you will need these dependencies in your own package that uses this library:

* urllib3 >= 1.25.3
* python-dateutil
* pydantic

## Getting Started

In your own code, to use this library to connect and interact with snowflake.core.compute-pool.-generated,
you can run the following:

```python
from __future__ import print_function

import time
import snowflake.core.compute_pool._generated
from snowflake.core.compute_pool._generated.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://org-account.snowflakecomputing.com
# See configuration.py for a list of all supported configuration parameters.
configuration = snowflake.core.compute_pool._generated.Configuration(
    host = "https://org-account.snowflakecomputing.com"
)



# Enter a context with an instance of the API client
with snowflake.core.compute_pool._generated.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = snowflake.core.compute_pool._generated.ComputePoolApi(api_client)
    compute_pool = snowflake.core.compute_pool._generated.ComputePool() # ComputePool | 
    create_mode = 'errorIfExists' # str |  (optional) (default to 'errorIfExists')

    try:
        # Create a compute pool
        api_response = api_instance.create_compute_pool(compute_pool, create_mode=create_mode)
        print("The response of ComputePoolApi->create_compute_pool:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling ComputePoolApi->create_compute_pool: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://org-account.snowflakecomputing.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ComputePoolApi* | [**create_compute_pool**](_generated/docs/ComputePoolApi.md#create_compute_pool) | **POST** /api/v2/compute-pools | Create a compute pool
*ComputePoolApi* | [**create_or_alter_compute_pool**](_generated/docs/ComputePoolApi.md#create_or_alter_compute_pool) | **PUT** /api/v2/compute-pools/{name} | Create a (or alter an existing) compute pool.
*ComputePoolApi* | [**delete_compute_pool**](_generated/docs/ComputePoolApi.md#delete_compute_pool) | **DELETE** /api/v2/compute-pools/{name} | Delete a compute pool
*ComputePoolApi* | [**fetch_compute_pool**](_generated/docs/ComputePoolApi.md#fetch_compute_pool) | **GET** /api/v2/compute-pools/{name} | Fetch a compute pool.
*ComputePoolApi* | [**fetch_compute_pools**](_generated/docs/ComputePoolApi.md#fetch_compute_pools) | **GET** /api/v2/compute-pools | List compute pools
*ComputePoolApi* | [**resume_compute_pool**](_generated/docs/ComputePoolApi.md#resume_compute_pool) | **POST** /api/v2/compute-pools/{name}:resume | Resume a compute pool
*ComputePoolApi* | [**stop_all_services_in_compute_pool**](_generated/docs/ComputePoolApi.md#stop_all_services_in_compute_pool) | **POST** /api/v2/compute-pools/{name}:stopallservices | Stops all services on the compute pool.
*ComputePoolApi* | [**suspend_compute_pool**](_generated/docs/ComputePoolApi.md#suspend_compute_pool) | **POST** /api/v2/compute-pools/{name}:suspend | Perform an action on a compute pool


## Documentation For Models

 - [ComputePool](_generated/docs/ComputePool.md)
 - [CreateComputePool200Response](_generated/docs/CreateComputePool200Response.md)
 - [ErrorResponse](_generated/docs/ErrorResponse.md)
 - [FetchComputePoolsShowLimitParameter](_generated/docs/FetchComputePoolsShowLimitParameter.md)


## Documentation For SDK Exceptions

Class | Description
------------ | -------------
ApiTypeError | Thrown when unrecognized arguments are passed to the generated API functions
ApiValueError | Thrown when arguments do not match HTTP method types. Or HTTP method type is not valid
ApiException | Thrown if status code is not success. Or if the response body cannot be deserialized
NotFoundException | Thrown if response.status = 404
UnauthorizedException | Thrown if response.status = 401
ForbiddenException | Thrown if response.status = 403
ServiceException | Thrown if 500 <= response.status <= 599

## Documentation For Authorization

 All endpoints do not require authorization.

## Author

support@snowflake.com


