# snowflake.core.database.-generated
The Snowflake Database API is a REST API that you can use to access, update, and perform certain actions on Database resource in Snowflake.

The `snowflake.core.database._generated` package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.0.1
- Package version: 1.0.0
- Build package: com.snowflake.generator.pyapi.PyapiCodegenGenerator
For more information, please visit [https://snowflake.com](https://snowflake.com)

## Requirements.

Python 3.7+

## Installation & Usage

This python library package is generated without supporting files like setup.py or requirements files

To be able to use it, you will need these dependencies in your own package that uses this library:

* urllib3 >= 1.25.3
* python-dateutil
* pydantic

## Getting Started

In your own code, to use this library to connect and interact with snowflake.core.database.-generated,
you can run the following:

```python
from __future__ import print_function

import time
import snowflake.core.database._generated
from snowflake.core.database._generated.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://org-account.snowflakecomputing.com
# See configuration.py for a list of all supported configuration parameters.
configuration = snowflake.core.database._generated.Configuration(
    host = "https://org-account.snowflakecomputing.com"
)



# Enter a context with an instance of the API client
with snowflake.core.database._generated.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = snowflake.core.database._generated.DatabaseApi(api_client)
    database = snowflake.core.database._generated.Database() # Database | 
    create_mode = 'errorIfExists' # str |  (optional) (default to 'errorIfExists')
    kind = 'kind_example' # str | Type of database. At the time of writing this transient and permanent (represented by the empty string) are supported. (optional)
    clone = snowflake.core.database._generated.Clone() # Clone |  (optional)

    try:
        # Create a database
        api_response = api_instance.create_database(database, create_mode=create_mode, kind=kind, clone=clone)
        print("The response of DatabaseApi->create_database:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling DatabaseApi->create_database: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://org-account.snowflakecomputing.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DatabaseApi* | [**create_database**](_generated/docs/DatabaseApi.md#create_database) | **POST** /api/v2/databases | Create a database
*DatabaseApi* | [**create_database_from_share**](_generated/docs/DatabaseApi.md#create_database_from_share) | **POST** /api/v2/databases/from_share | Create a database from a share.
*DatabaseApi* | [**create_or_update_database**](_generated/docs/DatabaseApi.md#create_or_update_database) | **PUT** /api/v2/databases/{name} | Create a (or alter an existing) database.
*DatabaseApi* | [**delete_database**](_generated/docs/DatabaseApi.md#delete_database) | **DELETE** /api/v2/databases/{name} | Delete a database.
*DatabaseApi* | [**disable_database_failover**](_generated/docs/DatabaseApi.md#disable_database_failover) | **POST** /api/v2/databases/{name}/failover:disable | Disable database failover.
*DatabaseApi* | [**disable_database_replication**](_generated/docs/DatabaseApi.md#disable_database_replication) | **POST** /api/v2/databases/{name}/replication:disable | Disable database replication.
*DatabaseApi* | [**enable_database_failover**](_generated/docs/DatabaseApi.md#enable_database_failover) | **POST** /api/v2/databases/{name}/failover:enable | Enable database failover.
*DatabaseApi* | [**enable_database_replication**](_generated/docs/DatabaseApi.md#enable_database_replication) | **POST** /api/v2/databases/{name}/replication:enable | Enable database replication.
*DatabaseApi* | [**fetch_database**](_generated/docs/DatabaseApi.md#fetch_database) | **GET** /api/v2/databases/{name} | 
*DatabaseApi* | [**list_databases**](_generated/docs/DatabaseApi.md#list_databases) | **GET** /api/v2/databases | List databases
*DatabaseApi* | [**primary_database_failover**](_generated/docs/DatabaseApi.md#primary_database_failover) | **POST** /api/v2/databases/{name}/failover:primary | Set database as primary.
*DatabaseApi* | [**refresh_database_replication**](_generated/docs/DatabaseApi.md#refresh_database_replication) | **POST** /api/v2/databases/{name}/replication:refresh | Refresh database replications.


## Documentation For Models

 - [Clone](_generated/docs/Clone.md)
 - [Database](_generated/docs/Database.md)
 - [ErrorResponse](_generated/docs/ErrorResponse.md)
 - [PointOfTime](_generated/docs/PointOfTime.md)
 - [PointOfTimeOffset](_generated/docs/PointOfTimeOffset.md)
 - [PointOfTimeStatement](_generated/docs/PointOfTimeStatement.md)
 - [PointOfTimeTimestamp](_generated/docs/PointOfTimeTimestamp.md)
 - [SuccessResponse](_generated/docs/SuccessResponse.md)


## Documentation For SDK Exceptions

Class | Description
------------ | -------------
ApiTypeError | Thrown when unrecognized arguments are passed to the generated API functions
ApiValueError | Thrown when arguments do not match HTTP method types. Or HTTP method type is not valid
ApiException | Thrown if status code is not success. Or if the response body cannot be deserialized
NotFoundException | Thrown if response.status = 404
UnauthorizedException | Thrown if response.status = 401
ForbiddenException | Thrown if response.status = 403
ServiceException | Thrown if 500 <= response.status <= 599

## Documentation For Authorization

 All endpoints do not require authorization.

## Author

support@snowflake.com


