# snowflake.core.image-repository.-generated
The Snowflake Image Repository API is a REST API that you can use to access, update, and perform certain actions on Image Repository resource in Snowflake.

The `snowflake.core.image_repository._generated` package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.0.1
- Package version: 1.0.0
- Build package: com.snowflake.generator.pyapi.PyapiCodegenGenerator
For more information, please visit [https://snowflake.com](https://snowflake.com)

## Requirements.

Python 3.7+

## Installation & Usage

This python library package is generated without supporting files like setup.py or requirements files

To be able to use it, you will need these dependencies in your own package that uses this library:

* urllib3 >= 1.25.3
* python-dateutil
* pydantic

## Getting Started

In your own code, to use this library to connect and interact with snowflake.core.image-repository.-generated,
you can run the following:

```python
from __future__ import print_function

import time
import snowflake.core.image_repository._generated
from snowflake.core.image_repository._generated.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://org-account.snowflakecomputing.com
# See configuration.py for a list of all supported configuration parameters.
configuration = snowflake.core.image_repository._generated.Configuration(
    host = "https://org-account.snowflakecomputing.com"
)



# Enter a context with an instance of the API client
with snowflake.core.image_repository._generated.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = snowflake.core.image_repository._generated.ImageRepositoryApi(api_client)
    database = 'database_example' # str | 
    var_schema = 'var_schema_example' # str | 
    image_repository = snowflake.core.image_repository._generated.ImageRepository() # ImageRepository | 
    create_mode = 'errorIfExists' # str |  (optional) (default to 'errorIfExists')

    try:
        # Create an image repository
        api_response = api_instance.create_image_repository(database, var_schema, image_repository, create_mode=create_mode)
        print("The response of ImageRepositoryApi->create_image_repository:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling ImageRepositoryApi->create_image_repository: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://org-account.snowflakecomputing.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ImageRepositoryApi* | [**create_image_repository**](_generated/docs/ImageRepositoryApi.md#create_image_repository) | **POST** /api/v2/databases/{database}/schemas/{schema}/image-repositories | Create an image repository
*ImageRepositoryApi* | [**create_or_alter_image_repository**](_generated/docs/ImageRepositoryApi.md#create_or_alter_image_repository) | **PUT** /api/v2/databases/{database}/schemas/{schema}/image-repositories/{name} | Create a (or alter an existing) image repository.
*ImageRepositoryApi* | [**delete_image_repository**](_generated/docs/ImageRepositoryApi.md#delete_image_repository) | **DELETE** /api/v2/databases/{database}/schemas/{schema}/image-repositories/{name} | Delete an image repository
*ImageRepositoryApi* | [**fetch_image_repository**](_generated/docs/ImageRepositoryApi.md#fetch_image_repository) | **GET** /api/v2/databases/{database}/schemas/{schema}/image-repositories/{name} | Fetch an image repository.
*ImageRepositoryApi* | [**list_image_repositories**](_generated/docs/ImageRepositoryApi.md#list_image_repositories) | **GET** /api/v2/databases/{database}/schemas/{schema}/image-repositories | List image repositories


## Documentation For Models

 - [CreateImageRepository200Response](_generated/docs/CreateImageRepository200Response.md)
 - [ErrorResponse](_generated/docs/ErrorResponse.md)
 - [ImageRepository](_generated/docs/ImageRepository.md)
 - [ListImageRepositoriesShowLimitParameter](_generated/docs/ListImageRepositoriesShowLimitParameter.md)


## Documentation For SDK Exceptions

Class | Description
------------ | -------------
ApiTypeError | Thrown when unrecognized arguments are passed to the generated API functions
ApiValueError | Thrown when arguments do not match HTTP method types. Or HTTP method type is not valid
ApiException | Thrown if status code is not success. Or if the response body cannot be deserialized
NotFoundException | Thrown if response.status = 404
UnauthorizedException | Thrown if response.status = 401
ForbiddenException | Thrown if response.status = 403
ServiceException | Thrown if 500 <= response.status <= 599

## Documentation For Authorization

 All endpoints do not require authorization.

## Author

support@snowflake.com


