# snowflake.core.schema.-generated
The Snowflake Schema API is a REST API that you can use to access, update, and perform certain actions on Schema resource in Snowflake.

The `snowflake.core.schema._generated` package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.0.1
- Package version: 1.0.0
- Build package: com.snowflake.generator.pyapi.PyapiCodegenGenerator
For more information, please visit [https://snowflake.com](https://snowflake.com)

## Requirements.

Python 3.7+

## Installation & Usage

This python library package is generated without supporting files like setup.py or requirements files

To be able to use it, you will need these dependencies in your own package that uses this library:

* urllib3 >= 1.25.3
* python-dateutil
* pydantic

## Getting Started

In your own code, to use this library to connect and interact with snowflake.core.schema.-generated,
you can run the following:

```python
from __future__ import print_function

import time
import snowflake.core.schema._generated
from snowflake.core.schema._generated.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://org-account.snowflakecomputing.com
# See configuration.py for a list of all supported configuration parameters.
configuration = snowflake.core.schema._generated.Configuration(
    host = "https://org-account.snowflakecomputing.com"
)



# Enter a context with an instance of the API client
with snowflake.core.schema._generated.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = snowflake.core.schema._generated.SchemaApi(api_client)
    database = 'database_example' # str | 
    name = 'name_example' # str | 
    model_schema = snowflake.core.schema._generated.ModelSchema() # ModelSchema | 

    try:
        # Create a (or alter an existing) schema.
        api_response = api_instance.create_or_update_schema(database, name, model_schema)
        print("The response of SchemaApi->create_or_update_schema:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling SchemaApi->create_or_update_schema: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://org-account.snowflakecomputing.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*SchemaApi* | [**create_or_update_schema**](_generated/docs/SchemaApi.md#create_or_update_schema) | **PUT** /api/v2/databases/{database}/schemas/{name} | Create a (or alter an existing) schema.
*SchemaApi* | [**create_schema**](_generated/docs/SchemaApi.md#create_schema) | **POST** /api/v2/databases/{database}/schemas | Create a schema
*SchemaApi* | [**delete_schema**](_generated/docs/SchemaApi.md#delete_schema) | **DELETE** /api/v2/databases/{database}/schemas/{name} | Delete a schema.
*SchemaApi* | [**fetch_schema**](_generated/docs/SchemaApi.md#fetch_schema) | **GET** /api/v2/databases/{database}/schemas/{name} | 
*SchemaApi* | [**list_schemas**](_generated/docs/SchemaApi.md#list_schemas) | **GET** /api/v2/databases/{database}/schemas | List schemas


## Documentation For Models

 - [Clone](_generated/docs/Clone.md)
 - [ErrorResponse](_generated/docs/ErrorResponse.md)
 - [ModelSchema](_generated/docs/ModelSchema.md)
 - [PointOfTime](_generated/docs/PointOfTime.md)
 - [PointOfTimeOffset](_generated/docs/PointOfTimeOffset.md)
 - [PointOfTimeStatement](_generated/docs/PointOfTimeStatement.md)
 - [PointOfTimeTimestamp](_generated/docs/PointOfTimeTimestamp.md)
 - [SuccessResponse](_generated/docs/SuccessResponse.md)


## Documentation For SDK Exceptions

Class | Description
------------ | -------------
ApiTypeError | Thrown when unrecognized arguments are passed to the generated API functions
ApiValueError | Thrown when arguments do not match HTTP method types. Or HTTP method type is not valid
ApiException | Thrown if status code is not success. Or if the response body cannot be deserialized
NotFoundException | Thrown if response.status = 404
UnauthorizedException | Thrown if response.status = 401
ForbiddenException | Thrown if response.status = 403
ServiceException | Thrown if 500 <= response.status <= 599

## Documentation For Authorization

 All endpoints do not require authorization.

## Author

support@snowflake.com


