# coding: utf-8

"""
    Snowflake Schema API

    The Snowflake Schema API is a REST API that you can use to access, update, and perform certain actions on Schema resource in Snowflake.  # noqa: E501

    The version of the OpenAPI document: 0.0.1
    Contact: support@snowflake.com
    Generated by: https://openapi-generator.tech
"""


from __future__ import annotations
from inspect import getfullargspec
import json
import pprint
import re  # noqa: F401

from typing import Any, List, Optional
from pydantic import BaseModel, Field, StrictStr, ValidationError, validator
from snowflake.core.schema._generated.models.point_of_time import PointOfTime
from typing import Any, List
from pydantic import StrictStr, Field

CLONETIMETRAVELPOINTOFTIME_ONE_OF_SCHEMAS = ["PointOfTime"]

class CloneTimeTravelPointOfTime(BaseModel):
    """NOTE: This class is auto generated by OpenAPI Generator.
    Ref: https://openapi-generator.tech

    Do not edit the class manually.
    """
    # data type: PointOfTime
    oneof_schema_1_validator: Optional[PointOfTime] = None
    actual_instance: Any
    one_of_schemas: List[str] = Field(CLONETIMETRAVELPOINTOFTIME_ONE_OF_SCHEMAS, const=True)

    class Config:
        validate_assignment = True

    discriminator_value_class_map = {
    }

    @validator('actual_instance')
    def actual_instance_must_validate_oneof(cls, v):
        instance = cls()
        error_messages = []
        match = 0
        # validate data type: PointOfTime
        if type(v) is not PointOfTime:
            error_messages.append(f"Error! Input type `{type(v)}` is not `PointOfTime`")
        else:
            match += 1

        if match > 1:
            # more than 1 match
            raise ValueError("Multiple matches found when deserializing the JSON string into CloneTimeTravelPointOfTime with oneOf schemas: PointOfTime. Details: " + ", ".join(error_messages))
        elif match == 0:
            # no match
            raise ValueError("No match found when deserializing the JSON string into CloneTimeTravelPointOfTime with oneOf schemas: PointOfTime. Details: " + ", ".join(error_messages))
        else:
            return v

    @classmethod
    def from_dict(cls, obj: dict) -> CloneTimeTravelPointOfTime:
        return cls.from_json(json.dumps(obj))

    @classmethod
    def from_json(cls, json_str: str) -> CloneTimeTravelPointOfTime:
        """Returns the object represented by the json string"""
        instance = cls()
        error_messages = []
        match = 0

        # deserialize data into PointOfTime
        try:
            instance.actual_instance = PointOfTime.from_json(json_str)
            match += 1
        except ValidationError as e:
            error_messages.append(str(e))

        if match > 1:
            # more than 1 match
            raise ValueError("Multiple matches found when deserializing the JSON string into CloneTimeTravelPointOfTime with oneOf schemas: PointOfTime. Details: " + ", ".join(error_messages))
        elif match == 0:
            # no match
            raise ValueError("No match found when deserializing the JSON string into CloneTimeTravelPointOfTime with oneOf schemas: PointOfTime. Details: " + ", ".join(error_messages))
        else:
            return instance

    def to_json(self) -> str:
        """Returns the JSON representation of the actual instance"""
        if self.actual_instance is not None:
            if isinstance(self.actual_instance, (int, float, str, bool)):
                return json.dumps(self.actual_instance)
            return self.actual_instance.to_json()
        else:
            return "null"

    def to_dict(self) -> Any:
        """Returns the dict representation of the actual instance"""
        if self.actual_instance is not None:
            if isinstance(self.actual_instance, (int, float, str, bool)):
                return self.actual_instance
            return self.actual_instance.to_dict()
        else:
            return dict()

    def to_str(self) -> str:
        """Returns the string representation of the actual instance"""
        return pprint.pformat(self.dict())

