# snowflake.core.table.-generated
The Snowflake Table API is a REST API that you can use to access, update, and perform certain actions on Tables resource in a Snowflake database.

The `snowflake.core.table._generated` package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.0.1
- Package version: 1.0.0
- Build package: com.snowflake.generator.pyapi.PyapiCodegenGenerator
For more information, please visit [https://snowflake.com](https://snowflake.com)

## Requirements.

Python 3.7+

## Installation & Usage

This python library package is generated without supporting files like setup.py or requirements files

To be able to use it, you will need these dependencies in your own package that uses this library:

* urllib3 >= 1.25.3
* python-dateutil
* pydantic

## Getting Started

In your own code, to use this library to connect and interact with snowflake.core.table.-generated,
you can run the following:

```python
from __future__ import print_function

import time
import snowflake.core.table._generated
from snowflake.core.table._generated.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://org-account.snowflakecomputing.com
# See configuration.py for a list of all supported configuration parameters.
configuration = snowflake.core.table._generated.Configuration(
    host = "https://org-account.snowflakecomputing.com"
)



# Enter a context with an instance of the API client
with snowflake.core.table._generated.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = snowflake.core.table._generated.TableApi(api_client)
    database = 'database_example' # str | 
    var_schema = 'var_schema_example' # str | 
    name = 'name_example' # str | 
    targets = ['targets_example'] # List[str] | 

    try:
        # Add search optimization.
        api_response = api_instance.add_search_optimization(database, var_schema, name, targets)
        print("The response of TableApi->add_search_optimization:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling TableApi->add_search_optimization: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://org-account.snowflakecomputing.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*TableApi* | [**add_search_optimization**](_generated/docs/TableApi.md#add_search_optimization) | **POST** /api/v2/databases/{database}/schemas/{schema}/tables/{table_name}/search_optimization | Add search optimization.
*TableApi* | [**create_or_update_table**](_generated/docs/TableApi.md#create_or_update_table) | **PUT** /api/v2/databases/{database}/schemas/{schema}/tables/{name} | Create a (or alter an existing) table.
*TableApi* | [**create_table**](_generated/docs/TableApi.md#create_table) | **POST** /api/v2/databases/{database}/schemas/{schema}/tables | Create a table
*TableApi* | [**delete_row_access_policy**](_generated/docs/TableApi.md#delete_row_access_policy) | **DELETE** /api/v2/databases/{database}/schemas/{schema}/tables/{table_name}/row_access_policy/{name} | Delete a row access policy.
*TableApi* | [**delete_search_optimization**](_generated/docs/TableApi.md#delete_search_optimization) | **DELETE** /api/v2/databases/{database}/schemas/{schema}/tables/{table_name}/search_optimization | Delete search optimization.
*TableApi* | [**delete_table**](_generated/docs/TableApi.md#delete_table) | **DELETE** /api/v2/databases/{database}/schemas/{schema}/tables/{name} | Delete a table
*TableApi* | [**fetch_effective_parameters**](_generated/docs/TableApi.md#fetch_effective_parameters) | **GET** /api/v2/databases/{database}/schemas/{schema}/tables/{name}/parameters/effective | Fetch the effective parameters of a table.
*TableApi* | [**fetch_table**](_generated/docs/TableApi.md#fetch_table) | **GET** /api/v2/databases/{database}/schemas/{schema}/tables/{name} | Fetch a table.
*TableApi* | [**list_tables**](_generated/docs/TableApi.md#list_tables) | **GET** /api/v2/databases/{database}/schemas/{schema}/tables | List tables
*TableApi* | [**rename_column**](_generated/docs/TableApi.md#rename_column) | **POST** /api/v2/databases/{database}/schemas/{schema}/tables/{table_name}/columns/{name}:rename | Rename a column
*TableApi* | [**rename_constraint**](_generated/docs/TableApi.md#rename_constraint) | **POST** /api/v2/databases/{database}/schemas/{schema}/tables/{table_name}/constraints/{constraint_name}:rename | Rename a table constraint.
*TableApi* | [**rename_table**](_generated/docs/TableApi.md#rename_table) | **POST** /api/v2/databases/{database}/schemas/{schema}/tables/{name}:rename | Rename a table
*TableApi* | [**resume_recluster**](_generated/docs/TableApi.md#resume_recluster) | **POST** /api/v2/databases/{database}/schemas/{schema}/tables/{name}:resume_recluster | Resume recluster of a table
*TableApi* | [**set_column_masking_policy**](_generated/docs/TableApi.md#set_column_masking_policy) | **POST** /api/v2/databases/{database}/schemas/{schema}/tables/{table}/columns/{column_name}/masking_policy | Set column masking policy.
*TableApi* | [**set_row_access_policy**](_generated/docs/TableApi.md#set_row_access_policy) | **POST** /api/v2/databases/{database}/schemas/{schema}/tables/{table_name}/row_access_policy | Set row access policy.
*TableApi* | [**suspend_recluster**](_generated/docs/TableApi.md#suspend_recluster) | **POST** /api/v2/databases/{database}/schemas/{schema}/tables/{name}:suspend_recluster | Suspend recluster of a table
*TableApi* | [**swap_with**](_generated/docs/TableApi.md#swap_with) | **POST** /api/v2/databases/{database}/schemas/{schema}/tables/{name}:swapwith | Swap with another table
*TableApi* | [**undelete_table**](_generated/docs/TableApi.md#undelete_table) | **POST** /api/v2/databases/{database}/schemas/{schema}/tables/{name}:undelete | Undelete a deleted table.
*TableApi* | [**unset_column_masking_policy**](_generated/docs/TableApi.md#unset_column_masking_policy) | **DELETE** /api/v2/databases/{database}/schemas/{schema}/tables/{table}/columns/{column_name}/masking_policy | Unset column masking policy.


## Documentation For Models

 - [Constraint](_generated/docs/Constraint.md)
 - [ErrorResponse](_generated/docs/ErrorResponse.md)
 - [ForeignKey](_generated/docs/ForeignKey.md)
 - [PrimaryKey](_generated/docs/PrimaryKey.md)
 - [SuccessResponse](_generated/docs/SuccessResponse.md)
 - [Table](_generated/docs/Table.md)
 - [TableColumn](_generated/docs/TableColumn.md)
 - [UniqueKey](_generated/docs/UniqueKey.md)


## Documentation For SDK Exceptions

Class | Description
------------ | -------------
ApiTypeError | Thrown when unrecognized arguments are passed to the generated API functions
ApiValueError | Thrown when arguments do not match HTTP method types. Or HTTP method type is not valid
ApiException | Thrown if status code is not success. Or if the response body cannot be deserialized
NotFoundException | Thrown if response.status = 404
UnauthorizedException | Thrown if response.status = 401
ForbiddenException | Thrown if response.status = 403
ServiceException | Thrown if 500 <= response.status <= 599

## Documentation For Authorization

 All endpoints do not require authorization.

## Author

support@snowflake.com


