# snowflake.core.warehouse.-generated
The Snowflake Warehouse API is a REST API that you can use to access, customize and manage virtual warehouse in a Snowflake account.

The `snowflake.core.warehouse._generated` package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.0.1
- Package version: 1.0.0
- Build package: com.snowflake.generator.pyapi.PyapiCodegenGenerator
For more information, please visit [https://snowflake.com](https://snowflake.com)

## Requirements.

Python 3.7+

## Installation & Usage

This python library package is generated without supporting files like setup.py or requirements files

To be able to use it, you will need these dependencies in your own package that uses this library:

* urllib3 >= 1.25.3
* python-dateutil
* pydantic

## Getting Started

In your own code, to use this library to connect and interact with snowflake.core.warehouse.-generated,
you can run the following:

```python
from __future__ import print_function

import time
import snowflake.core.warehouse._generated
from snowflake.core.warehouse._generated.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://org-account.snowflakecomputing.com
# See configuration.py for a list of all supported configuration parameters.
configuration = snowflake.core.warehouse._generated.Configuration(
    host = "https://org-account.snowflakecomputing.com"
)



# Enter a context with an instance of the API client
with snowflake.core.warehouse._generated.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = snowflake.core.warehouse._generated.WarehouseApi(api_client)
    name = 'name_example' # str | 
    if_exists = False # bool |  (optional) (default to False)

    try:
        # abort all queries
        api_response = api_instance.abort_all_queries_on_warehouse(name, if_exists=if_exists)
        print("The response of WarehouseApi->abort_all_queries_on_warehouse:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling WarehouseApi->abort_all_queries_on_warehouse: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://org-account.snowflakecomputing.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*WarehouseApi* | [**abort_all_queries_on_warehouse**](_generated/docs/WarehouseApi.md#abort_all_queries_on_warehouse) | **POST** /api/v2/warehouses/{name}:abort | abort all queries
*WarehouseApi* | [**create_warehouses**](_generated/docs/WarehouseApi.md#create_warehouses) | **POST** /api/v2/warehouses | Create or replace warehouse
*WarehouseApi* | [**describe_warehouse**](_generated/docs/WarehouseApi.md#describe_warehouse) | **GET** /api/v2/warehouses/{name} | Describe warehouse
*WarehouseApi* | [**drop_warehouse**](_generated/docs/WarehouseApi.md#drop_warehouse) | **DELETE** /api/v2/warehouses/{name} | Drop warehouse
*WarehouseApi* | [**list_warehouses**](_generated/docs/WarehouseApi.md#list_warehouses) | **GET** /api/v2/warehouses | List warehouse
*WarehouseApi* | [**rename_warehouse**](_generated/docs/WarehouseApi.md#rename_warehouse) | **POST** /api/v2/warehouses/{name}:rename | update and rename warehouse
*WarehouseApi* | [**resume_warehouse**](_generated/docs/WarehouseApi.md#resume_warehouse) | **POST** /api/v2/warehouses/{name}:resume | resume warehouse
*WarehouseApi* | [**set_warehouse**](_generated/docs/WarehouseApi.md#set_warehouse) | **PUT** /api/v2/warehouses/{name} | update parameters of the warehouse
*WarehouseApi* | [**suspend_warehouse**](_generated/docs/WarehouseApi.md#suspend_warehouse) | **POST** /api/v2/warehouses/{name}:suspend | suspend warehouse
*WarehouseApi* | [**tag_warehouse**](_generated/docs/WarehouseApi.md#tag_warehouse) | **POST** /api/v2/warehouses/{name}:tag | Set tags for warehouse
*WarehouseApi* | [**use_warehouse**](_generated/docs/WarehouseApi.md#use_warehouse) | **POST** /api/v2/warehouses/{name}:use | use current warehouse for session


## Documentation For Models

 - [ErrorResponse](_generated/docs/ErrorResponse.md)
 - [SuccessResponse](_generated/docs/SuccessResponse.md)
 - [Warehouse](_generated/docs/Warehouse.md)


## Documentation For SDK Exceptions

Class | Description
------------ | -------------
ApiTypeError | Thrown when unrecognized arguments are passed to the generated API functions
ApiValueError | Thrown when arguments do not match HTTP method types. Or HTTP method type is not valid
ApiException | Thrown if status code is not success. Or if the response body cannot be deserialized
NotFoundException | Thrown if response.status = 404
UnauthorizedException | Thrown if response.status = 401
ForbiddenException | Thrown if response.status = 403
ServiceException | Thrown if 500 <= response.status <= 599

## Documentation For Authorization

 All endpoints do not require authorization.

## Author

support@snowflake.com


